=== debian/changelog ===
sciteproj (1.14-1) unstable; urgency=medium

  * New upstream version 1.14
  * Update to Standards-Version 4.4.0 (No changes required)
  * Use debhelper-compat 12
  * Use minimal gpg key

 -- Andreas Rönnquist <gusnan@debian.org>  Mon, 23 Sep 2019 16:36:08 +0200
