=== debian/changelog ===
sciteproj (1.17-1) unstable; urgency=medium

  * New upstream version 1.17

 -- Andreas Rönnquist <gusnan@debian.org>  Mon, 19 Oct 2020 12:01:27 +0200

sciteproj (1.16-1) unstable; urgency=medium

  * New upstream version 1.16
  * Remove d/sciteproj.manpages, not needed, only causes problems and
    tries to install both .1 and .1.gz which won't work.
  * Fix day-of-week for changelog entry 0.6.06-1.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright)
  * Set upstream metadata fields: Repository
  * Set field Upstream-Contact in debian/copyright

 -- Andreas Rönnquist <gusnan@debian.org>  Mon, 14 Sep 2020 13:51:23 +0200

sciteproj (1.15-1) unstable; urgency=medium

  * New upstream version 1.15
  * The manpage is gz-packed, mention in manpages file
  * Upgrade to debhelper compat 13
  * Upgrade to Standards Version 4.5.0 (No changes required)
  * Fix multiple definitions of manpage
  * Fix trailing whitespace at end of d/changelog
  * Add Rules-Requires-Root: no

 -- Andreas Rönnquist <gusnan@debian.org>  Mon, 14 Sep 2020 02:24:46 +0200
