=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: editors
 Priority: optional
 Maintainer: Andreas Rönnquist <gusnan@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                pkg-config,
                libgtk-3-dev,
                libglib2.0-dev,
                liblua5.3-dev,
                gettext
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://www.nongnu.org/sciteproj
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/sciteproj.git
 Vcs-Browser: https://salsa.debian.org/debian/sciteproj
