## sciteproj 1.18

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-#   Copyright (C) 2009-2019 Andreas Rönnquist
+#   Copyright (C) 2009-2021 Andreas Rönnquist
 #   This file is distributed under the same license
 #   as the sciteproj package, see COPYING file.
 #
@@ -24,10 +24,10 @@
 OBJECTS=$(OBJ)/about.o $(OBJ)/clipboard.o $(OBJ)/expand.o\
 $(OBJ)/file_utils.o $(OBJ)/folder_config.o\
 $(OBJ)/graphics.o $(OBJ)/gui.o $(OBJ)/gui_callbacks.o\
-$(OBJ)/icon.o $(OBJ)/load_folder.o $(OBJ)/menus.o $(OBJ)/main.o $(OBJ)/prefs.o\
-$(OBJ)/properties_dialog.o $(OBJ)/recent_files.o $(OBJ)/remove.o\
-$(OBJ)/scite_utils.o $(OBJ)/script.o $(OBJ)/sort.o $(OBJ)/statusbar.o\
-$(OBJ)/string_utils.o $(OBJ)/tree_manipulation.o
+$(OBJ)/icon.o $(OBJ)/load_folder.o $(OBJ)/launch_external.o $(OBJ)/menus.o \
+$(OBJ)/main.o $(OBJ)/prefs.o $(OBJ)/properties_dialog.o $(OBJ)/recent_files.o \
+$(OBJ)/remove.o $(OBJ)/scite_utils.o $(OBJ)/script.o $(OBJ)/sort.o\
+$(OBJ)/statusbar.o $(OBJ)/string_utils.o $(OBJ)/tree_manipulation.o
 
 GRAPHICS_INCLUDES=$(GRPH)/dir-close.xpm \
 $(GRPH)/dir-open.xpm \
