=== debian/changelog ===
sciteproj (1.18-1) unstable; urgency=medium

  * New upstream version 1.18
  * Use watch file standard version 4
  * Use Standards Version 4.6.0.1 (No changes required)
  * Update copyright years

 -- Andreas Rönnquist <gusnan@debian.org>  Wed, 22 Dec 2021 16:33:48 +0100
