=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                libglib2.0-dev,
                liblua5.3-dev,
                gettext
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0.1
 Homepage: https://www.nongnu.org/sciteproj
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/sciteproj.git
