=== po/Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 DATADIR = ${DESTDIR}${PREFIX}/share
 LOCALEDIR = ${DATADIR}/locale
 
-SOURCES = about.c clipboard.c file_utils.c expand.c\
+SOURCES = about.c clipboard.c clicked_node.c file_utils.c expand.c\
 folder_config.c graphics.c gui.c gui_callbacks.c load_folder.c\
 main.c menus.c prefs.c properties_dialog.c recent_files.c remove.c\
 scite_utils.c script.c sort.c statusbar.c string_utils.c tree_manipulation.c\
