## sciteproj 1.54-src

=== Makefile ===
--- 
+++ 
@@ -86,6 +86,7 @@
 clean:
 	rm -rf $(OBJECTS) $(PROG)
 	rm -f sciteproj.1.gz
+	rm -rf Makefile.dep
 	${MAKE} -C po clean
 	${MAKE} -C src/icons clean
