## sciteproj 1.60-src

=== Makefile ===
--- 
+++ 
@@ -26,9 +26,9 @@
 $(OBJ)/graphics.o $(OBJ)/gui.o $(OBJ)/gui_callbacks.o\
 $(OBJ)/load_folder.o $(OBJ)/launch_external.o $(OBJ)/menus.o \
 $(OBJ)/main.o $(OBJ)/prefs.o $(OBJ)/properties_dialog.o $(OBJ)/recent_files.o \
-$(OBJ)/remove.o $(OBJ)/scite_utils.o $(OBJ)/script.o $(OBJ)/sort.o\
-$(OBJ)/statusbar.o $(OBJ)/string_utils.o $(OBJ)/tree_manipulation.o \
-src/icons/icons_resources.o
+$(OBJ)/remove.o $(OBJ)/scite_utils.o $(OBJ)/script.o $(OBJ)/selection.o \
+$(OBJ)/sort.o $(OBJ)/statusbar.o $(OBJ)/string_utils.o \
+$(OBJ)/tree_manipulation.o src/icons/icons_resources.o
 
 ifndef PREFIX
 	ifdef INSTALL_PREFIX
