## sciteproj 1.71

=== debian/changelog ===
sciteproj (1.71-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:58:13 +1100

sciteproj (1.71-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:55:36 +0000

sciteproj (1.71-1) unstable; urgency=medium

  * Upload to unstable

 -- Andreas Rönnquist <gusnan@debian.org>  Sun, 11 Jun 2023 20:45:39 +0200

sciteproj (1.71-1~exp1) experimental; urgency=medium

  * New upstream version 1.71

 -- Andreas Rönnquist <gusnan@debian.org>  Fri, 31 Mar 2023 02:07:02 +0200

sciteproj (1.60-1~exp1) experimental; urgency=medium

  * New upstream version 1.60
  * Remove out of date news item

 -- Andreas Rönnquist <gusnan@debian.org>  Wed, 22 Mar 2023 14:48:25 +0100

sciteproj (1.55-1~exp1) experimental; urgency=medium

  * New upstream version 1.55

 -- Andreas Rönnquist <gusnan@debian.org>  Mon, 06 Mar 2023 16:18:37 +0100

sciteproj (1.54-1~exp1) experimental; urgency=medium

  * New upstream version 1.54

 -- Andreas Rönnquist <gusnan@debian.org>  Sun, 05 Mar 2023 22:21:59 +0100

sciteproj (1.50-1~exp1) experimental; urgency=medium

  * New upstream version 1.50
  * Upgrade to Standards Version 4.6.2 (No changes required)
  * Update copyright years

 -- Andreas Rönnquist <gusnan@debian.org>  Thu, 02 Mar 2023 18:40:35 +0100
