=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: sciteproj
 Section: editors
 Priority: optional
-Maintainer: Andreas Rönnquist <gusnan@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Andreas Rönnquist <gusnan@debian.org>
 Build-Depends: debhelper-compat (= 13),
                pkg-config,
                libgtk-3-dev,
                libglib2.0-dev,
                liblua5.3-dev,
                gettext
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Homepage: https://www.nongnu.org/sciteproj
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/sciteproj.git
