=== po/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-#   Copyright (C) 2009-2020 Andreas Rönnquist
+#   Copyright (C) 2009-2023 Andreas Rönnquist
 #   This file is distributed under the same license
 #   as the sciteproj package, see COPYING file.
 #
@@ -17,9 +17,9 @@
 DATADIR = ${DESTDIR}${PREFIX}/share
 LOCALEDIR = ${DATADIR}/locale
 
-SOURCES = about.c clipboard.c clicked_node.c file_utils.c expand.c\
-folder_config.c graphics.c gui.c gui_callbacks.c load_folder.c\
-main.c menus.c prefs.c properties_dialog.c recent_files.c remove.c\
+SOURCES = about.c clipboard.c clicked_node.c create_folder.c delete.c \
+dialogs.c file_utils.c expand.c graphics.c gui.c gui_callbacks.c load_folder.c \
+main.c menus.c prefs.c properties_dialog.c recent_files.c remove.c \
 scite_utils.c script.c selection.c sort.c statusbar.c string_utils.c \
 tree_manipulation.c menus.h
 
@@ -41,7 +41,7 @@
 	msgmerge -o $@ --previous $< ${NAME}.pot
 
 build: $(LANGUAGES_MO)
-	
+
 $(LANGUAGES_MO): $(LANGUAGES_PO)
 	for po in ${LANGUAGES}; \
 	do msgfmt -v --statistics -c -o t-$${po} $${po}.po && mv -f t-$${po} $${po}.mo; \
