=== debian/changelog ===
sciteproj (1.72-1) unstable; urgency=medium

  * New upstream version 1.72 - Fixes building with gcc-15
    (Closes: #1097856)
  * Fix signing key
  * Build depend on pkgconf instead of pkg-config
  * Upgrade to Standards Version 4.7.0 (No changes required)
  * Update copyright year for packaging and upstream

 -- Andreas Rönnquist <gusnan@debian.org>  Wed, 19 Feb 2025 16:22:23 +0100
